"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReflectionService = void 0;
var ts_morph_1 = require("ts-morph");
var ReflectionService = /** @class */ (function () {
    function ReflectionService() {
    }
    ReflectionService.prototype.getValueFromDecorator = function (d, annotationName) {
        var result = null;
        if (d.getFullName() === annotationName && d.isDecoratorFactory()) {
            d.getArguments().forEach(function (arg) {
                if (arg.getKind() === ts_morph_1.SyntaxKind.StringLiteral) {
                    result = arg.getLiteralValue();
                }
            });
        }
        return result;
    };
    ReflectionService.prototype.visitClassDecorators = function (project, callback) {
        project.getSourceFiles().forEach(function (sourceFile) {
            sourceFile.getClasses().forEach(function (classDeclaration) {
                classDeclaration.getDecorators().forEach(callback);
            });
        });
    };
    return ReflectionService;
}());
exports.ReflectionService = ReflectionService;
